Results

See more...

Firmware Not Supported Error when Restoring iOS 4.3.3 to Jailbreak with JailbreakMe 3.0

Hi, I have an iPhone 4 running on iOS 4.3.2 and now I want to update it to iOS 4.3.3 to use JailbreakMe. I have already downloaded the stock iOS 4.3.3 IPSW file and tried to upgrade through iTunes, but no dice. Instead, iTunes gives me "this firmware not supported for this device" error. What’s wrong with my device? Any tips? Thanks in advance.

Asked by: Alvin from Des Moines, Iowa

Hello Alvin, unfortunately, you will not be able to upgrade your iPhone 4 to iOS 4.3.3 due to the fact that the Cupertino, California-based Apple already stopped signing the iOS 4.3.3 firmware in order to prevent iOS device users, specially iPad 2 users, from jailbreaking their device using JailbreakMe 3.0. Apple has also released the iOS 4.3.4 and iOS 4.3.5 (iOS 4.2.9 and iOS 4.2.10 for Verizon iPhone 4 users) to permanently patch the security flaw / jailbreak exploit used by Comex in JailbreakMe 3.0, as well as to kill the untethered jailbreak exploit on all recently released jailbreak tools, such as the PwnageTool, Redsn0w, and Sn0wbreeze.

Anyway, I am pretty sure that you will be glad to know that you will be able to get untethered jailbreak on your iPhone 4 with JailbreakMe 3.0 without updating its firmware to iOS 4.3.3 probably because JailbreakMe 3.0 supports iOS 4.3.2. So go ahead and use JailbreakMe 3.0 to jailbreak your iPhone 4. You can refer on this tutorial if you aren’t familiar with the steps. But before you jailbreak, you should backup your SHSH Blobs using iFaith tool.

On the other hand, iPhone, iPad 1, and iPod touch users who have already upgraded their firmware to iOS 4.3.4 or iOS 4.3.5 can use Redsn0w 0.9.8b4.

iOS 4.3.4 Patched Jailbreakme 3.0

0 comments
Leave a message...